Class HostsListResponse (0.12.7)

HostsListResponse(mapping=None, *, ignore_unknown_fields=False, **kwargs)

Attributes

Name Description
etag str
This field is a member of oneof_ _etag.
id str
The unique identifier for the resource; defined by the server. This field is a member of oneof_ _id.
items MutableSequence[google.cloud.compute_v1beta.types.Host]
A list of host resources.
kind str
The type of resource. Always compute#host for a list of hosts. This field is a member of oneof_ _kind.
next_page_token str
This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results. This field is a member of oneof_ _next_page_token.
self_link str
The server-defined URL for this resource. This field is a member of oneof_ _self_link.
unreachables MutableSequence[str]
Unreachable resources. end_interface: MixerListResponseWithEtagBuilder
warning google.cloud.compute_v1beta.types.Warning
An informational warning message. This field is a member of oneof_ _warning.